<template>
    <div class="container-fluid">

        <!-- Vertical Layout | With Floating Label -->
        <div class="row clearfix">
            <form action="javascript:void(0)" ref="update">
                <div class="col-lg-8 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                Update Brand
                            </h2>
                        </div>
                        <div class="body">
                            <div class="form-group form-float">
                                <div class="form-line">
                                    <input type="text" id="name" v-model="name" class="form-control" name="name" >
                                </div>
                            </div>
                            <div class="card">
                                <div class="header">
                                </div>
                                <a class="btn btn-danger m-t-15 waves-effect" @click="back('brandView')">Back</a>
                                <button type="submit" @click="update" class="btn btn-primary m-t-15 waves-effect">Update</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <!-- Vertical Layout | With Floating Label -->
    </div>
</template>
<script>
    export default {
        props:{
            brand:{
                type: Object,
                required: true,
            },
        },
        mounted() {
            this.name=this.brand.name;
        },
        data() {
            return{
                name:'',
            }
        },
        methods:{
            update(){
                axios.post(`/admin/brand/update${this.brand.id}`,new FormData(this.$refs.update)).then((response) => {
                        this.$toaster.success(response.data);
                }).catch((error)=>{
                    this.$toaster.error(error);
                });
            },
            back(text){
                this.$emit('sent',text);
            }
        }
    }
</script>
